Skip to main content
POST
/
api
/
public
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
manual
Add a single lead manually
curl --request POST \
  --url https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/manual \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "company": "<string>",
  "custom_fields": {}
}
'
{
  "lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "company": "<string>",
  "status": "<string>",
  "last_contacted_at": "2023-11-07T05:31:56Z",
  "opened_at": "2023-11-07T05:31:56Z",
  "replied_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "custom_fields": {},
  "sequence_step": 0,
  "email_opened": false,
  "email_replied": false,
  "unsubscribed": false
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Path Parameters

campaign_id
string<uuid>
required

Body

application/json

Request schema for adding a single lead manually.

email
string
required

Lead email address

first_name
string | null

First name

last_name
string | null

Last name

company
string | null

Company name

custom_fields
Custom Fields · object

Custom lead fields

Response

Lead added successfully

Response schema for individual lead.

lead_id
string<uuid>
required

Lead ID

batch_id
string<uuid> | null
required

Batch ID this lead belongs to

email
string
required

Lead email address

first_name
string | null
required

First name

last_name
string | null
required

Last name

company
string | null
required

Company name

status
string
required

Lead status

last_contacted_at
string<date-time> | null
required

Last contact timestamp

opened_at
string<date-time> | null
required

Email opened timestamp

replied_at
string<date-time> | null
required

Reply timestamp

created_at
string<date-time>
required

Lead creation timestamp

custom_fields
Custom Fields · object

Custom lead fields

sequence_step
integer
default:0

Current sequence step

email_opened
boolean
default:false

Whether email was opened

email_replied
boolean
default:false

Whether lead replied

unsubscribed
boolean
default:false

Whether lead unsubscribed